Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1269916 - SELinux is preventing systemd-network from getattr access on the file /proc/xen/capabilities
Summary: SELinux is preventing systemd-network from getattr access on the file /proc/x...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 22
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-08 13:32 UTC by Major Hayden 🤠
Modified: 2015-11-27 03:55 UTC (History)
1 user (show)

Fixed In Version: selinux-policy-3.13.1-128.19.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 03:55:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Major Hayden 🤠 2015-10-08 13:32:17 UTC
I'm currently running Fedora 22 on a Xen hypervisor and I'm getting the following SELinux warning:

------------------------------------------------
SELinux is preventing systemd-network from getattr access on the file /proc/xen/capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-network should be allowed getattr access on the capabilities file by default
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-network /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
------------------------------------------------

Here's what audit2allow generates:

------------------------------------------------
#  grep systemd-network /var/log/audit/audit.log | audit2allow

#============= systemd_networkd_t ==============
allow systemd_networkd_t proc_xen_t:dir search;
allow systemd_networkd_t xenfs_t:file { read getattr open };
------------------------------------------------

I'm currently running Fedora 22 with these relevant packages:

systemd-219-24.fc22.x86_64
systemd-libs-219-24.fc22.x86_64
systemd-python-219-24.fc22.x86_64
libselinux-2.3-10.fc22.x86_64
libselinux-python-2.3-10.fc22.x86_64
libselinux-utils-2.3-10.fc22.x86_64
rpm-plugin-selinux-4.12.0.1-12.fc22.x86_64
selinux-policy-3.13.1-128.16.fc22.noarch
selinux-policy-targeted-3.13.1-128.16.fc22.noarch

Comment 2 Major Hayden 🤠 2015-10-13 12:15:24 UTC
Thanks for the quick work, Miroslav. I'll wait for the package to hit Bodhi and I'll test it.

Comment 3 Fedora Update System 2015-11-03 09:47:27 UTC
selinux-policy-3.13.1-128.19.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fab64b918

Comment 4 Fedora Update System 2015-11-03 18:57:21 UTC
selinux-policy-3.13.1-128.19.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5fab64b918

Comment 5 Fedora Update System 2015-11-09 17:56:27 UTC
selinux-policy-3.13.1-128.20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f396e330d9

Comment 6 Fedora Update System 2015-11-10 02:22:24 UTC
selinux-policy-3.13.1-128.20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f396e330d9

Comment 7 Fedora Update System 2015-11-20 13:14:16 UTC
selinux-policy-3.13.1-128.21.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bbd3df966

Comment 8 Fedora Update System 2015-11-21 17:52:32 UTC
selinux-policy-3.13.1-128.21.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bbd3df966

Comment 9 Fedora Update System 2015-11-27 03:53:31 UTC
selinux-policy-3.13.1-128.21.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.